Bug 195083

Summary: [Web GPU] Updates to GPUCommandBuffer for new GPUCommandEncoder concept
Product: WebKit Reporter: Justin Fan <justin_fan>
Component: WebGPUAssignee: Justin Fan <justin_fan>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, sroberts, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch for landing
none
Patch none

Description Justin Fan 2019-02-26 18:01:59 PST
https://github.com/gpuweb/gpuweb/commit/ac744d62850728f347f60f999c212468a22b36f3#diff-7d154c8abbb1fb80041e213976224980

The Web GPU API needs to be updated to match the changes made above before MVP.
Comment 1 Radar WebKit Bug Importer 2019-02-26 18:03:00 PST
<rdar://problem/48423591>
Comment 2 Justin Fan 2019-03-13 12:59:43 PDT
Created attachment 364564 [details]
Patch
Comment 3 Justin Fan 2019-03-13 18:11:52 PDT
Created attachment 364601 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2019-03-13 18:42:17 PDT
Comment on attachment 364601 [details]
Patch for landing

Clearing flags on attachment: 364601

Committed r242931: <https://trac.webkit.org/changeset/242931>
Comment 5 WebKit Commit Bot 2019-03-13 18:42:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Shawn Roberts 2019-03-14 12:47:47 PDT
rolled out in https://trac.webkit.org/changeset/242956/webkit

Causing internal watch/tv OS build failures.
Comment 7 Justin Fan 2019-03-14 15:24:55 PDT
Reopening to attach new patch.
Comment 8 Justin Fan 2019-03-14 15:24:56 PDT
Created attachment 364700 [details]
Patch
Comment 9 WebKit Commit Bot 2019-03-14 16:04:24 PDT
Comment on attachment 364700 [details]
Patch

Clearing flags on attachment: 364700

Committed r242974: <https://trac.webkit.org/changeset/242974>
Comment 10 WebKit Commit Bot 2019-03-14 16:04:26 PDT
All reviewed patches have been landed.  Closing bug.